usb_init_urb
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_init_urb — initializes a urb so that it can be used by a USB driver

## Synopsis

`void usb_init_urb (` | struct urb * | urb`)`;

## Arguments

`urb`

  pointer to the urb to initialize

## Description

Initializes a urb so that the USB subsystem can use it properly.

If a urb is created with a call to `usb_alloc_urb` it is not necessary to call this function. Only use this if you allocate the space for a struct urb on your own. If you call this function, be careful when freeing the memory for your urb that it is no longer in use by the USB core.

Only use this function if you _really_ understand what you are doing.

Prev | Up | Next
Chapter 5. USB Core APIs | Home | usb_alloc_urb